> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get commitments graph



## OpenAPI

````yaml get /commitments/{date_from}/{date_to}/graph
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /commitments/{date_from}/{date_to}/graph:
    get:
      tags:
        - Commitments
      summary: Get commitments graph
      operationId: 65137f9e2fe6ce6c51b925687c676daa
      parameters:
        - name: date_from
          in: path
          description: The start date for the graph data
          required: true
          schema:
            type: string
            format: date
        - name: date_to
          in: path
          description: The end date for the graph data
          required: true
          schema:
            type: string
            format: date
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  commitment_graph_data:
                    type: array
                    items:
                      properties:
                        date:
                          type: string
                          format: date
                        total:
                          description: The total commitment on the date
                          type: number
                      type: object
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````